API Referencev1Orders
List orders
Retrieve a paginated list of orders with filtering, sorting, and search.
X-API-Key<token>
Per-store API key created in the dashboard at Settings > Developer > API Keys.
In: header
Query Parameters
page?integer
Default
1Range
1 <= valueper_page?integer
Default
25Range
1 <= value <= 100sort?string
Default
"created_at"Value in
"order_number" | "total" | "created_at" | "updated_at" | "customer_name"order?string
Default
"desc"Value in
"asc" | "desc"status?string
Comma-separated list of order statuses to filter by
payment_status?string
Value in
"pending" | "paid" | "refunded" | "failed" | "all"search?string
customer_id?string
date_from?string
Format
date-timedate_to?string
Format
date-timetotal[gte]?number
Minimum value for total
Range
0 <= valuetotal[lte]?number
Maximum value for total
Range
0 <= valueupdated_at[gte]?string
Start of date range for updated_at (ISO 8601)
Format
date-timeupdated_at[lte]?string
End of date range for updated_at (ISO 8601)
Format
date-timecity?string
Filter by shipping city (case-insensitive)
province?string
Filter by shipping province
country?string
Filter by shipping country name
country_code?string
Filter by ISO country code
Response Body
application/json
curl -X GET "https://api.whatalo.com/v1/orders"{
"data": [
{
"id": "819365047283",
"order_number": 1042,
"status": "pending",
"payment_status": "pending",
"payment_method": "cod",
"shipping_method": "string",
"currency": "COP",
"customer_id": "365047281936",
"customer_name": "Juan García",
"customer_phone": "+573001234567",
"customer_email": "[email protected]",
"subtotal": 5000,
"discount_amount": 0,
"shipping_cost": 200,
"tax_amount": 0,
"total": 5200,
"customer_notes": "string",
"internal_notes": "string",
"shipping_address": {
"name": "string",
"phone": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postal_code": "string",
"notes": "string"
},
"country_code": "string",
"is_pending": true,
"is_completed": true,
"is_cancellable": true,
"item_count": 0,
"is_fully_paid": true,
"completed_at": "string",
"created_at": "string",
"updated_at": "string",
"items": [
{
"id": "string",
"product_id": "string",
"variant_id": "string",
"product_name": "string",
"variant_name": "string",
"quantity": 0,
"unit_price": 0,
"total_price": 0,
"created_at": "string"
}
]
}
],
"pagination": {
"page": 1,
"per_page": 25,
"total": 100,
"total_pages": 4
}
}